Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.xhuoapi.ai/llms.txt

Use this file to discover all available pages before exploring further.

Producer allows us to download WAV files related to songs. This document explains the integration method for the relevant API. This API has only one input parameter, which is audio_id, the unique ID of the song. The audio_id we input here is a54609c6-13e2-4176-be0f-4d7eebc68e1f, which is a song ID generated by Producer.
curl -X POST 'https://api.xhuoapi.ai/v1/producer/wav' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
  "audio_id": "a54609c6-13e2-4176-be0f-4d7eebc68e1f"
}'
The result is as follows:
{
  "success": true,
  "task_id": "44963173-b6c5-463c-915f-96730d14ec63",
  "trace_id": "f75d6a27-54bc-49fd-a40e-6d4cd0427764",
  "data": [
    {
      "title": "Woke up with the sun in my eyes",
      "file_url": "https://cdn.ttapi.io/other/2025-12-30/a1508051-a6b8-4867-8cbb-32273a99c2ae.wav"
    }
  ]
}
As can be seen, the file_url field in data is the download link for the WAV file.